{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}

    <main>

        <div class="cagibig-background">

            <div class="login-popup">

                <form action="" method="post">
                    {% if error %}
                        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}
                    {% if app.user %}
                        <div class="mb-3">
                            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">{% trans %}Logout{% endtrans %}</a>
                        </div>
                    {% endif %}
                    <div class="pt-4 text-center">
                        <img class="logo" src="{{ asset('img/logoCagibig-noir.png') }}" alt="logo_cagibig">
                        <h3 class="">{% trans %}Please sign in{% endtrans %}</h3>
                    </div>
                    <hr class="login-hr">

                    <div class="items-center ">
                        <a href="{{ path('connect_google_start') }}" class= "button-login-popup mb-3">
                            <img  class="logo-connection" src="{{ asset('/img/icon/googleLogin.png') }}" alt="bouton google">
                            {% trans %}Connect with Google  {% endtrans %}
                        </a>
                        <a href="{{ path('connect_facebook_start') }}" class="button-login-popup mb-2">
                            <img  class="logo-connection" src="{{ asset('/img/icon/facebookLogin.png') }}" alt="bouton facebook">
                            {% trans %}Connect with Facebook{% endtrans %}
                        </a>
                    </div>
                    <p class="text-center">
                        {% trans %}or{% endtrans %}
                    </p>
                    <div class="items-center">
                        <input type="email" value="{{ last_username }}" name="email"  class="input-login mb-3" required autofocus placeholder="{% trans %}Email{% endtrans %}">

                        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                        <input   type="password" name="password" id="ShowInput" hidden="true" class="input-login mb-2" required placeholder="{% trans %}Password{% endtrans %}">

                        <button class="btn-primary btn mb-3" type="button"   onclick="show()" id="HideButton" >
                            {% trans %}Continue{% endtrans %}
                        </button>

                        <button class="connexion-button btn mb-3" id="showButton" hidden="true" type="submit">{% trans %}Sign in{% endtrans %}</button>

                        <div class="checkbox mb-3">
                            <label>
                                <input type="checkbox" name="_remember_me"> {% trans %} Remember me {% endtrans %}
                            </label>
                        </div>
                    </div>
                </form>
                <hr class="login-hr mt-0">
                <div class="items-center">
                    <p class="text-center mb-1">{% trans %}no account ?{% endtrans %}</p>
                    <button href="{{ path('app_user_register') }}" class="btn button-login-popup popup-create"> {% trans %}Create account {% endtrans %}</button>
                </div>
                <div class="d-flex justify-content-end">

                <a href="{{ path('password_forget') }}"  class="mr-2 mt-3 forget-button">{% trans %}Password lost ?{% endtrans %}</a>
                </div>
            </div>







        </div>


    </main>




    <section>
        <div class="Cagibig-banner">
            <img src="{{ asset('img/cagibig.jpg') }}" alt="">
        </div>
    </section>


{% endblock %}
{% block javascripts %}
<script src="{{ asset('js/Hide&showLogin.js') }}"></script>
{% endblock%}